Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_SSL3_KEY_MAT_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_BBOOL | bIsExport
CK_SSL3_KEY_MAT_OUT_PTR | pReturnedKeyMaterial
CK_SSL3_RANDOM_DATA | RandomInfo
CK_ULONG | ulIVSizeInBits
CK_ULONG | ulKeySizeInBits
CK_ULONG | ulMacSizeInBits

## Detailed Description

Definition at line 1606 of file pkcs11t.h.

## Member Data Documentation

CK_BBOOL CK_SSL3_KEY_MAT_PARAMS::bIsExport

Definition at line 1610 of file pkcs11t.h.

CK_SSL3_KEY_MAT_OUT_PTR CK_SSL3_KEY_MAT_PARAMS::pReturnedKeyMaterial

Definition at line 1612 of file pkcs11t.h.

CK_SSL3_RANDOM_DATA CK_SSL3_KEY_MAT_PARAMS::RandomInfo

Definition at line 1611 of file pkcs11t.h.

CK_ULONG CK_SSL3_KEY_MAT_PARAMS::ulIVSizeInBits

Definition at line 1609 of file pkcs11t.h.

CK_ULONG CK_SSL3_KEY_MAT_PARAMS::ulKeySizeInBits

Definition at line 1608 of file pkcs11t.h.

CK_ULONG CK_SSL3_KEY_MAT_PARAMS::ulMacSizeInBits

Definition at line 1607 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h